import request from '@/utils/request'

// 查询告警操作记录列表
export function listMallWarnOperateLog(query) {
  return request({
    url: '/mall/mallWarnOperateLog/list',
    method: 'get',
    params: query
  })
}

// 查询告警操作记录详细
export function getMallWarnOperateLog(warnOperateLogId) {
  return request({
    url: '/mall/mallWarnOperateLog/' + warnOperateLogId,
    method: 'get'
  })
}

// 新增告警操作记录
export function addMallWarnOperateLog(data) {
  return request({
    url: '/mall/mallWarnOperateLog',
    method: 'post',
    data: data
  })
}

// 修改告警操作记录
export function updateMallWarnOperateLog(data) {
  return request({
    url: '/mall/mallWarnOperateLog',
    method: 'put',
    data: data
  })
}

// 删除告警操作记录
export function delMallWarnOperateLog(warnOperateLogId) {
  return request({
    url: '/mall/mallWarnOperateLog/' + warnOperateLogId,
    method: 'delete'
  })
}
